## kde-runtime 16.08.3

=== CMakeLists.txt ===
project(KDEBASE_RUNTIME)

cmake_minimum_required(VERSION 2.8.9)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

include(CTest)
include(CTestConfig.cmake)
include(CheckIncludeFiles)
include(CheckFunctionExists)

if(WINCE)
    #Needs to be set because otherwise he wouldn't find kde parts
    set(KDE4_DATA_DIR "${CMAKE_PREFIX_PATH}/share/apps")
    add_definitions(-DKDELIBS_STATIC_LIBS)
endif(WINCE)

#search packages used by KDE
find_package(KDE4 4.9.95 REQUIRED)
include(KDE4Defaults)

find_package(KDeclarative QUIET CONFIG)
set_package_properties(KDeclarative PROPERTIES DESCRIPTION "KDE Declarative (QML) support from kdelibs"
                       URL "http://www.kde.org"
                       TYPE REQUIRED
                       PURPOSE "Required by corebindingsplugin (org.kde.plasma.core)"
                      )

macro_optional_find_package(NepomukCore)
set_package_properties(NepomukCore PROPERTIES DESCRIPTION "Nepomuk Core Libraries"
                       URL "https://projects.kde.org/nepomuk-core"
                       TYPE OPTIONAL
                      )

macro_optional_find_package(SLP)
set_package_properties(SLP PROPERTIES DESCRIPTION "SLP (Service Location Protocol) implementation"
                       URL "http://www.openslp.org/"
                       TYPE OPTIONAL
                       PURPOSE "Provides SLP support in the network:/ kioslave."
                      )

find_package(LibAttica 0.1.4)
set_package_properties(LibAttica PROPERTIES DESCRIPTION "A library to access Open Collaboration Service providers"
                       URL "https://projects.kde.org/attica"
                       TYPE REQUIRED
                       PURPOSE "Attica is needed for the Get Hot New Stuff support"
                      )

macro_optional_find_package(QCA2 2.0.0)
set_package_properties(QCA2 PROPERTIES DESCRIPTION "Support for remote plasma widgets"
                       URL "http://delta.affinix.com/qca"
                       TYPE OPTIONAL
                      )

find_package(LibGcrypt 1.5.0 REQUIRED QUIET)
set_package_properties(LibGcrypt PROPERTIES DESCRIPTION "Libgcrypt is a general purpose cryptographic library based on the code from GnuPG."
                       URL "http://www.gnu.org/software/libgcrypt/"
                       TYPE REQUIRED
                       PURPOSE "kwalletd needs libgcrypt to perform PBKDF2-SHA512 hashing"
                      )
# Build options
option(KDERUNTIME_BUILD_NEPOMUK "Build the Nepomuk KCM and kioslaves" FALSE)

check_include_files(sys/wait.h HAVE_SYS_WAIT_H)
check_include_files(sys/time.h HAVE_SYS_TIME_H)

configure_file (config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h )

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES})

# Build infrastructure
add_subdirectory(cmake)

# Background processes
add_subdirectory(kpasswdserver)
add_subdirectory(kdontchangethehostname)
macro_optional_add_subdirectory(kglobalaccel)
add_subdirectory(knotify)
add_subdirectory(ktimezoned)

if(NOT WINCE)
macro_optional_add_subdirectory(kuiserver)
endif(NOT WINCE)
add_subdirectory(kwalletd)

if ( UNIX )
   add_subdirectory(soliduiserver)
   add_subdirectory(solidautoeject)
   add_subdirectory(solid-device-automounter)
   add_subdirectory(solid-networkstatus)
endif ( UNIX )

if(NepomukCore_FOUND AND KDERUNTIME_BUILD_NEPOMUK)
    macro_optional_add_subdirectory(nepomuk)
endif()

# Plugins/components required for basic utility
if ( NOT WINCE )
    add_subdirectory(kcontrol)
endif ( NOT WINCE )
add_subdirectory(kioslave)
add_subdirectory(kurifilter-plugins)
add_subdirectory(phonon)
add_subdirectory(kimgio)
macro_optional_add_subdirectory(renamedlgplugins)

# UI Helper applications
add_subdirectory(drkonqi)
add_subdirectory(kcmshell)
add_subdirectory(kdebugdialog)
macro_optional_add_subdirectory(khelpcenter)
add_subdirectory(knetattach)
add_subdirectory(knewstuff)
macro_optional_add_subdirectory(keditfiletype)
if ( UNIX )
   add_subdirectory(kdesu)
endif ( UNIX )

# Command-line tools (e.g. for shell scripts)
if ( UNIX )
   add_subdirectory(kdeeject)
endif ( UNIX )
add_subdirectory(kfile)
add_subdirectory(kiconfinder)
add_subdirectory(kioclient)
add_subdirectory(kioexec)
add_subdirectory(ktraderclient)
add_subdirectory(kreadconfig)
add_subdirectory(kmimetypefinder)
if (Q_WS_X11)
  add_subdirectory(kstart)
endif (Q_WS_X11)
add_subdirectory(kquitapp)
add_subdirectory(menu)
if ( NOT WINCE )
    add_subdirectory(plasma)
endif ( NOT WINCE )
add_subdirectory(solid-hardware)

# Platform-specific integration
add_subdirectory(platforms)

# Default settings, content and config
add_subdirectory(l10n)
add_subdirectory(localization)
if(NOT WINCE)
  add_subdirectory(kde-menu)
macro_optional_add_subdirectory(doc)
endif(NOT WINCE)

# Artwork
add_subdirectory(desktoptheme)
if ( NOT WINCE )
  add_subdirectory(pics)
endif ( NOT WINCE )

# KDE integration for attica
if(LIBATTICA_FOUND)
  macro_optional_add_subdirectory(attica)
endif(LIBATTICA_FOUND)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

########### install files ###############
install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/kde4 DESTINATION ${BIN_INSTALL_DIR})

=== plasma/CMakeLists.txt ===
add_subdirectory(containments)
add_subdirectory(declarativeimports)
add_subdirectory(kpart)
add_subdirectory(remotewidgetshelper)
add_subdirectory(scriptengines)
add_subdirectory(tools)

=== kioslave/fish/tests/CMakeLists.txt ===
PROJECT( copytester )
FIND_PACKAGE( KDE4 REQUIRED )
INCLUDE_DIRECTORIES( ${KDE4_INCLUDES} . )


SET( copytesterSources main.cpp copytester.cpp )


KDE4_ADD_EXECUTABLE( copytester ${copytesterSources} )

TARGET_LINK_LIBRARIES( copytester ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} )

install( TARGETS copytester ${INSTALL_TARGETS_DEFAULT_ARGS}  )

=== debian/changelog ===
kde-runtime (4:16.08.3-2) unstable; urgency=medium

  * Add new patch: Make-sure-people-are-not-trying-to-sneak-invisible-charac.patch.
    Thanks to Moritz Mühlenhoff for the follow ups to the kde-cli-tools' bug
    (Closes: 842498) See: CVE-2016-7787

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Tue, 21 Mar 2017 11:25:21 +0100

kde-runtime (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:07:35 +0100

kde-runtime (4:16.08.2-1) unstable; urgency=medium

  * New upstream release (16.08.2)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 23:56:09 +0200

kde-runtime (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop oxygen5-icon-theme primary alternative for oxygen-icon-theme, leaving
    only the latter (which is the canonical package).
  * Update lintian overrides.
  * Limit the udisks2 recommend in kde-runtime as linux-any, as udisks2 is
    Linux-specific.
  * Update the patches:
    - kubuntu_drkonqi_whoopsie_integration.patch: drop, KUbuntu-specific
      (whoopsie is not even available in Debian)
    - kubuntu_disable-gpg-backend.diff: drop, as it was not applied anymore
      since 4:16.04.2-2
  * Stop installing the webp mime type definition, since shared-mime-info
    provides it already.

 -- Pino Toscano <pino@debian.org>  Sun, 21 Aug 2016 10:16:51 +0200

kde-runtime (4:16.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the unused libqzeitgeist-dev build dependency.
  * Update the patches:
    - upstream_set-cmake_min_req-to-match-kdelibs-policy-and-enable.patch:
      drop, backported
    - upstream_cmake-fix-add_definitions-according-to-new-policy.patch: drop,
      backported
  * Stop shipping the custom /etc/sysctl.d/30-baloo-inotify-limit.conf: this
    is the wrong place for it, and maybe no more needed.
  * Fix arch-dep Hurd build: dnyamically create kde-runtime.install.hurd from
    kde-runtime.install, removing the samba bits.

 -- Pino Toscano <pino@debian.org>  Sun, 31 Jul 2016 20:26:03 +0200

kde-runtime (4:16.04.2-2) unstable; urgency=medium

  * Prefer oxygen5-icon-theme
  * Refresh patches
  * Reenable gpg backend

 -- Maximiliano Curia <maxy@debian.org>  Mon, 04 Jul 2016 15:08:04 +0200

kde-runtime (4:16.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Disable the build of khelpcenter, as it is not used from this source.
    - remove leftover bits from kde-runtime.install
    - stop use the ${perl:Depends} substvar in kde-runtime
  * Wrap too long changelog lines in older entries.
  * Remove unused and outdated installgen file.
  * Restore headers for patches.
  * Drop patch khelp_htdig.diff, no more needed now that khelpcenter is not
    built.
  * Clean not-installed file.
  * Backport upstream commits 5a1d89e006ca69c6bf5351a796f7da57a6f96582 and
    823d2fbd9cbc146e007510a41b4820fb8b9e81b8 to set the cmake minimum version
    required and policies, and build properly with that; patches
    upstream_set-cmake_min_req-to-match-kdelibs-policy-and-enable.patch and
    upstream_cmake-fix-add_definitions-according-to-new-policy.patch.
  * Fix build on Hurd, by providing a fallback definition of PATH_MAX in
    kio_nfs; patch hurd.diff.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jun 2016 12:20:25 +0200

kde-runtime (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Missing line in diff file
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer"
    replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Drop openslp from the build deps
  * Update testsuite scripts
  * testsuite: Add a basic XDG environment, use kdeinit4
  * testsuite: add missing openbox

 -- Maximiliano Curia <maxy@debian.org>  Fri, 13 May 2016 22:31:07 +0200

=== debian/control ===
Source: kde-runtime
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.9.95~),
               kdepimlibs5-dev,
               kdoctools (>= 4:4.11),
               libasound2-dev (>= 1.0.14a) [linux-any],
               libattica-dev (>= 0.1.4),
               libboost-dev,
               libbz2-dev,
               libcanberra-dev,
               libexiv2-dev (>= 0.12),
               libgcrypt20-dev (>= 1.5.0~),
               libgpgme11-dev,
               libjpeg-dev,
               libkactivities-dev,
               liblzma-dev,
               libnm-util-dev (>= 0.7) [linux-any],
               libntrack-qt4-dev [linux-any],
               libopenexr-dev,
               libphonon-dev (>= 4:4.6.0really4.4.3),
               libpulse-dev (>= 0.9.16),
               libqca2-dev (>= 2.0.0),
               libqtwebkit-dev,
               libsmbclient-dev [!hurd-any],
               libsoprano-dev,
               libssh-gcrypt-dev (>= 0.4.0),
               libwebp-dev,
               libx11-dev,
               libxcursor-dev,
               network-manager-dev (>= 0.7.0) [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.12),
               shared-mime-info
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kde-runtime.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kde-runtime.git

Package: kde-runtime
Architecture: any
Depends: kde-runtime-data (>= ${source:Version}),
         kdelibs5-plugins,
         oxygen-icon-theme,
         plasma-scriptengine-javascript (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: icoutils,
            libcanberra-pulse | libcanberra-gstreamer,
            sound-theme-freedesktop,
            udisks2 [linux-any],
            upower
Suggests: djvulibre-bin, finger
Replaces: kde-runtime-data (<< 4:4.13.97),
          kdebase-runtime-bin-kde4,
          kdebase-workspace-bin (<< 4:4.6),
          kdebluetooth (<< 1.0~beta7-1),
          kdelibs5-plugins (<< 4:4.5),
          plasma-netbook (<< 4:4.5.95)
Breaks: kde-runtime-data (<< 4:4.13.97),
        kdebase-runtime-bin-kde4,
        kdebase-workspace-bin (<< 4:4.6),
        kdebluetooth (<< 1.0~beta7-1),
        kdelibs5-plugins (<< 4:4.5),
        plasma-netbook (<< 4:4.5.95)
Conflicts: kdelibs4-dev
Description: runtime components from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package contains programs and data needed at runtime by KDE applications.

Package: kdebase-runtime
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-runtime, ${misc:Depends}
Description: Transitional package for the KDE runtime components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This transitional package takes care of pulling in the new kde-runtime package
 and can safely be removed after installation.

Package: kde-runtime-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Replaces: kcontrol,
          kde-runtime (<< 4:4.13.90),
          kde-workspace-bin (<< 4:4.10),
          kdebase-bin-kde3,
          kdebase-kio-plugins,
          kdebase-runtime-data (<< 4:4.7.2),
          kdebase-runtime-data-common,
          kdebase-workspace-bin (<< 4:4.5.95),
          kdelibs5-data (<< 4:4.5),
          plasma-netbook (<< 4:4.5.95),
          plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+)
Breaks: kcontrol,
        kde-runtime (<< 4:4.13.90),
        kde-workspace-bin (<< 4:4.10),
        kdebase-bin-kde3,
        kdebase-kio-plugins,
        kdebase-runtime-data (<< 4:4.7.2),
        kdebase-runtime-data-common,
        kdebase-workspace-bin (<< 4:4.5.95),
        kdelibs5-data (<< 4:4.5),
        plasma-netbook (<< 4:4.5.95),
        plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+)
Description: shared data files for the KDE base runtime module
 This package contains the architecture-independent shared data files needed to
 run KDE applications.
 .
 This package is part of the KDE base runtime module.

Package: plasma-scriptengine-javascript
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JavaScript script engine for Plasma
 This package provides the JavaScript script engine for Plasma. You have to
 install it if you want to use Plasma widgets and data engines written in
 JavaScript.
 .
 This package is part of the KDE base runtime module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_khelpcenter=FALSE

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_makeshlibs:
	$(overridden_command) -Xusr/lib/attica_kde.so

override_dh_shlibdeps:
	$(overridden_command) -pplasma-scriptengine-javascript -- \
		-xkdebase-runtime -xkde-runtime
	$(overridden_command) -pkde-runtime -- -xkdebase-runtime
	$(overridden_command) --remaining-packages

override_dh_fixperms:
	$(overridden_command) -Xusr/lib/kde4/libexec/kdesud

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-runtime-dbg (<= 4:15.12.1-1~~)'

override_dh_install: debian/kde-runtime.install.hurd
	$(overridden_command) --list-missing

override_dh_clean:
	$(overridden_command)
	rm -f debian/kde-runtime.install.hurd

# Because of bug #190367 hurd doesn't support samba
debian/kde-runtime.install.hurd: debian/kde-runtime.install
	grep -v smb $< > $@

## kde-runtime 16.12.3

=== debian/changelog ===
kde-runtime (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:31:11 +0000

kde-runtime (4:16.12.1-0ubuntu2) zesty; urgency=medium

  * Drop 'XS-Testsuite: autopkgtest' field from control file now that merge
    with debian packaging has dropped the testsuite itself.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 21 Jan 2017 15:46:40 +0000

kde-runtime (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ Clive Johnston ]
  * Fixing install files

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:20:11 +0000

kde-runtime (4:16.04.3-0ubuntu3) UNRELEASED; urgency=medium

  * Update Vcs-Git fields to use https:// instead of git://

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Oct 2016 17:17:00 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.9.95~),
+               kdelibs5-dev (>= 4:4.14.30~),
                kdepimlibs5-dev,
-               kdoctools (>= 4:4.11),
+               kdoctools (>= 4:4.14.30~),
                libasound2-dev (>= 1.0.14a) [linux-any],
                libattica-dev (>= 0.1.4),
                libboost-dev,
@@ -44,12 +44,14 @@
                shared-mime-info
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kde-runtime.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kde-runtime.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-runtime
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-runtime
 
 Package: kde-runtime
 Architecture: any
-Depends: kde-runtime-data (>= ${source:Version}),
+Depends: breeze-icon-theme,
+         kde-runtime-data (>= ${source:Version}),
+         kde-style-breeze-qt4,
          kdelibs5-plugins,
          oxygen-icon-theme,
          plasma-scriptengine-javascript (= ${binary:Version}),

## kde-runtime 17.04.3

=== debian/changelog ===
kde-runtime (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:35:46 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.30~),
+               kdelibs5-dev (>= 4:4.14.34~),
                kdepimlibs5-dev,
-               kdoctools (>= 4:4.14.30~),
+               kdoctools (>= 4:4.14.34~),
                libasound2-dev (>= 1.0.14a) [linux-any],
                libattica-dev (>= 0.1.4),
                libboost-dev,

## kde-runtime 17.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -109,7 +109,7 @@
 macro_optional_add_subdirectory(renamedlgplugins)
 
 # UI Helper applications
-add_subdirectory(drkonqi)
+macro_optional_add_subdirectory(drkonqi)
 add_subdirectory(kcmshell)
 add_subdirectory(kdebugdialog)
 macro_optional_add_subdirectory(khelpcenter)

=== kcmshell/CMakeLists.txt ===

set(kcmshell_KDEINIT_SRCS main.cpp )

kde4_add_kdeinit_executable( kcmshell4 ${kcmshell_KDEINIT_SRCS})

target_link_libraries(kdeinit_kcmshell4 ${KDE4_KCMUTILS_LIBS} ${KDE4_KDEUI_LIBS} )

install(TARGETS kdeinit_kcmshell4  ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS kcmshell4          ${INSTALL_TARGETS_DEFAULT_ARGS})

=== kde-menu/CMakeLists.txt ===

kde4_add_executable(kde4-menu NOGUI kde-menu.cpp)

target_link_libraries(kde4-menu ${KDE4_KIO_LIBS})

install(TARGETS kde4-menu ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== kdontchangethehostname/CMakeLists.txt ===
set(kdontchangethehostname_SRCS khostname.cpp )
kde4_add_executable(kdontchangethehostname NOGUI ${kdontchangethehostname_SRCS})
target_link_libraries(kdontchangethehostname  ${KDE4_KDECORE_LIBS} )
install(TARGETS kdontchangethehostname DESTINATION ${LIBEXEC_INSTALL_DIR} )

=== kiconfinder/CMakeLists.txt ===
kde4_add_executable(kiconfinder NOGUI kiconfinder.cpp)

target_link_libraries(kiconfinder ${KDE4_KDEUI_LIBS})

install(TARGETS kiconfinder ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== kioexec/CMakeLists.txt ===
set(kioexec_SRCS main.cpp )


kde4_add_executable(kioexec NOGUI ${kioexec_SRCS})

target_link_libraries(kioexec ${KDE4_KIO_LIBS})

install(TARGETS kioexec DESTINATION ${LIBEXEC_INSTALL_DIR} )

=== kioslave/CMakeLists.txt ===

if(NOT WIN32)
# we need a version of samba which has already smbc_set_context(), Alex
set(SAMBA_REQUIRE_SMBC_SET_CONTEXT TRUE)
set(SAMBA_REQUIRE_SMBC_OPTION_SET TRUE)
macro_optional_find_package(Samba)
set_package_properties(Samba PROPERTIES DESCRIPTION "the SMB client library, a version with smbc_set_context() and smbc_option_set()"
                       URL "http://www.samba.org"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the SMB kioslave"
                      )
endif(NOT WIN32)

macro_optional_find_package(LibSSH 0.6.0)
set_package_properties(LibSSH PROPERTIES DESCRIPTION "the SSH library with SFTP support"
                       URL "http://www.libssh.org/"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the SFTP kioslave"
                      )

add_subdirectory( about )
add_subdirectory( bookmarks )
if(NOT WINCE)
add_subdirectory( cgi )
endif(NOT WINCE)
add_subdirectory( filter )
if(NOT WINCE)
add_subdirectory( info )
endif(NOT WINCE)
add_subdirectory( archive )
add_subdirectory( settings )
add_subdirectory( applications )
if(NOT WINCE)
add_subdirectory( trash )
endif(NOT WINCE)
if(NOT WIN32)
add_subdirectory( network )
endif(NOT WIN32)
add_subdirectory( remote )
add_subdirectory( desktop )
add_subdirectory( recentdocuments )
add_subdirectory( fish )
if(NOT WINCE)
add_subdirectory( thumbnail )
endif(NOT WINCE)
add_subdirectory( docfilter )
if (LIBSSH_FOUND)
  add_subdirectory(sftp)
endif (LIBSSH_FOUND)

if(NOT WIN32)
   add_subdirectory( floppy )
   add_subdirectory( finger )
   add_subdirectory( man )
   check_include_files(rpc/rpc.h HAVE_RPC_RPC_H)
   add_feature_info("NFS kioslave" HAVE_RPC_RPC_H "The RPC library is needed to build the NFS kioslave")
   if(HAVE_RPC_RPC_H)
     add_subdirectory( nfs )
   endif(HAVE_RPC_RPC_H)
endif(NOT WIN32)

if(SAMBA_FOUND OR WIN32 AND NOT WINCE)
    add_subdirectory(smb)
endif(SAMBA_FOUND OR WIN32 AND NOT WINCE)

=== knewstuff/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR} ${KDE4_KIO_INCLUDES} )

set(khotnewstuff_SRCS khotnewstuff.cpp )
kde4_add_executable(khotnewstuff4 ${khotnewstuff_SRCS})
target_link_libraries(khotnewstuff4 ${KDE4_KNEWSTUFF3_LIBS} ${KDE4_KDECORE_LIBS} 
                                    ${KDE4_KDEUI_LIBS} ${QT4_QTCORE_LIBRARY})
install(TARGETS khotnewstuff4 ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES khotnewstuff.knsrc DESTINATION  ${CONFIG_INSTALL_DIR} )

if(LIBATTICA_FOUND)
  include_directories(${LIBATTICA_INCLUDE_DIR})

  set(khotnewstuffupload_SRCS khotnewstuff_upload.cpp )
  kde4_add_executable(khotnewstuff-upload ${khotnewstuffupload_SRCS})
  target_link_libraries(khotnewstuff-upload ${KDE4_KNEWSTUFF3_LIBS} ${KDE4_KDECORE_LIBS} 
                                      ${KDE4_KDEUI_LIBS} ${QT4_QTCORE_LIBRARY})
  install(TARGETS khotnewstuff-upload ${INSTALL_TARGETS_DEFAULT_ARGS} )
  install( FILES khotnewstuff_upload.knsrc DESTINATION  ${CONFIG_INSTALL_DIR} )
endif(LIBATTICA_FOUND)

=== kwalletd/CMakeLists.txt ===
project(kwalletd)

########### find needed packages ######
find_package(Gpgme)  # Called by FindQGpgme, but since we call some gpgme
                     # functions ourselves we need to link against it directly.
find_package(QGpgme) # provided by kdepimlibs

if (NOT QGPGME_FOUND)
find_package(Gpgmepp) # provided by gpgme 1.7
endif (NOT QGPGME_FOUND)

if ((GPGME_FOUND AND QGPGME_FOUND) OR Gpgmepp_FOUND)
    add_definitions(-DHAVE_QGPGME)
    include_directories(${GPGME_INCLUDES})
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
endif((GPGME_FOUND AND QGPGME_FOUND) OR Gpgmepp_FOUND)
if (GPGME_FOUND AND QGPGME_FOUND)
    include_directories(${QGPGME_INCLUDE_DIR})
endif (GPGME_FOUND AND QGPGME_FOUND)
if (Gpgmepp_FOUND)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
endif (Gpgmepp_FOUND)

########### build backends #########
add_subdirectory(backend)

########### kwalletd ###############

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/backend)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=285)

set(kwalletd_KDEINIT_SRCS
   main.cpp
   kbetterthankdialog.cpp
   kwalletd.cpp
   kwalletwizard.cpp
   ktimeout.cpp
   kwalletsessionstore.cpp
)

kde4_add_ui_files(kwalletd_KDEINIT_SRCS
   kbetterthankdialogbase.ui
   kwalletwizardpageexplanation.ui
   kwalletwizardpageintro.ui
   kwalletwizardpageoptions.ui
   kwalletwizardpagepassword.ui
)

if ((GPGME_FOUND AND QGPGME_FOUND) OR Gpgmepp_FOUND)
    set(kwalletd_KDEINIT_SRCS
        ${kwalletd_KDEINIT_SRCS}
        knewwalletdialog.cpp
    )
    kde4_add_ui_files(kwalletd_KDEINIT_SRCS
        kwalletwizardpagepasswordgpg.ui
        kwalletwizardpagegpgkey.ui
        knewwalletdialogintro.ui
        knewwalletdialoggpg.ui
    )
endif((GPGME_FOUND AND QGPGME_FOUND) OR Gpgmepp_FOUND)

find_file(kwallet_xml org.kde.KWallet.xml HINTS ${KDE4_DBUS_INTERFACES_DIR} )

qt4_add_dbus_adaptor( kwalletd_KDEINIT_SRCS ${kwallet_xml} kwalletd.h KWalletD )

kde4_add_kdeinit_executable( kwalletd NOGUI ${kwalletd_KDEINIT_SRCS} )

target_link_libraries(kdeinit_kwalletd ${KDE4_KDEUI_LIBS} kwalletbackend )
if(GPGME_FOUND AND QGPGME_FOUND)
target_link_libraries(kdeinit_kwalletd ${QGPGME_LIBRARIES} )
else(GPGME_FOUND AND QGPGME_FOUND)
if(Gpgmepp_FOUND)
target_link_libraries(kdeinit_kwalletd Gpgmepp)
endif(Gpgmepp_FOUND)
endif(GPGME_FOUND AND QGPGME_FOUND)

install(TARGETS kdeinit_kwalletd  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries(kwalletd kdeinit_kwalletd)
install(TARGETS kwalletd  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES kwalletd.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES kwalletd.notifyrc DESTINATION  ${DATA_INSTALL_DIR}/kwalletd )
install( FILES kwallet-4.13.upd DESTINATION ${DATA_INSTALL_DIR}/kconf_update)

add_subdirectory(tests)
add_subdirectory(autotests)

=== phonon/CMakeLists.txt ===
# If you want to build kdebase without any multimedia support
# define the cmake variable KDEBASE_DISABLE_MULTIMEDIA, i.e,
# % cmake -DKDEBASE_DISABLE_MULTIMEDIA=ON
#
project(PHONON-KDE-RUNTIME)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES})

option(KDEBASE_DISABLE_MULTIMEDIA "Disable multimedia support (default: off)" OFF)

# print a message for backward compatibility:
if(KDE4_DISABLE_MULTIMEDIA)
   message(STATUS "*********** The switch KDE4_DISABLE_MULTIMEDIA is not supported anymore, use KDEBASE_DISABLE_MULTIMEDIA instead ************")
endif(KDE4_DISABLE_MULTIMEDIA)


if(KDEBASE_DISABLE_MULTIMEDIA)
   message(STATUS "NOTICE: Multimedia support DISABLED (KDEBASE_DISABLE_MULTIMEDIA == ON)")
else(KDEBASE_DISABLE_MULTIMEDIA)
   set(PHONON_MIN_VERSION "4.4.57")
   macro_ensure_version("${PHONON_MIN_VERSION}" "${PHONON_VERSION}" _phonon_version_ok)
   if(NOT _phonon_version_ok)
    message(FATAL_ERROR "The installed Phonon is too old. Found version ${PHONON_VERSION}. Required is ${PHONON_MIN_VERSION}")
   endif()

   find_package(Alsa)
   option(WITH_ALSA "Use ALSA, if found" ON)
   if(NOT WITH_ALSA)
      set(ALSA_FOUND FALSE)
      set(ASOUND_LIBRARY NOTFOUND)
      set(HAVE_LIBASOUND2 FALSE)
      set(ALSA_INCLUDES NOTFOUND)
   endif(NOT WITH_ALSA)

   alsa_configure_file(${CMAKE_CURRENT_BINARY_DIR}/config-alsa.h)

   set(HAVE_CURRENT_ALSA FALSE)
   if(ALSA_FOUND)
      include_directories(${ALSA_INCLUDES})
      alsa_version_string(ALSA_VERSION_STR)
      if(ALSA_VERSION_STR AND NOT WIN32)
         if(ALSA_VERSION_STR MATCHES "^1\\.(0\\.(1[4-9]|[2-9][0-9]+)|[1-9][0-9]*\\.)")
            add_definitions(-DHAS_LIBASOUND_DEVICE_NAME_HINT)
            set(HAVE_CURRENT_ALSA TRUE)
         endif(ALSA_VERSION_STR MATCHES "^1\\.(0\\.(1[4-9]|[2-9][0-9]+)|[1-9][0-9]*\\.)")
      endif(ALSA_VERSION_STR AND NOT WIN32)
   endif(ALSA_FOUND)
   if(NOT WIN32)
      add_feature_info("Dmix and virtual device listing" HAVE_CURRENT_ALSA
                       "The ALSA library (http://www.alsa-project.org) is needed for building
                        some additional Phonon features"
                      )
   endif(NOT WIN32)

   add_subdirectory(kded-module)
   add_subdirectory(platform_kde)
   macro_optional_add_subdirectory(kcm)
endif(KDEBASE_DISABLE_MULTIMEDIA)

=== solid-networkstatus/CMakeLists.txt ===
add_subdirectory(kded)
add_subdirectory(tests)

=== attica/kcm/CMakeLists.txt ===
set(kcm_attica_PART_SRCS
    providerconfigwidget.cpp
    atticamodule.cpp
)

kde4_add_ui_files(kcm_attica_PART_SRCS providermanagement.ui providerconfigwidget.ui)

kde4_add_plugin(kcm_attica ${kcm_attica_PART_SRCS})

target_link_libraries(kcm_attica ${LIBATTICA_LIBRARIES} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS kcm_attica DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_attica.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kde-runtime (4:17.08.3-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Merge with debian
  * Fixing install files

  [ Rik Mills ]
  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:04:10 +0000

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.34~),
+               kdelibs5-dev (>= 4:4.14.38~),
                kdepimlibs5-dev,
-               kdoctools (>= 4:4.14.34~),
+               kdoctools (>= 4:4.14.38~),
                libasound2-dev (>= 1.0.14a) [linux-any],
                libattica-dev (>= 0.1.4),
                libboost-dev,
@@ -88,7 +88,7 @@
 
 Package: kdebase-runtime
 Section: oldlibs
-Priority: extra
+Priority: optional
 Architecture: all
 Depends: kde-runtime, ${misc:Depends}
 Description: Transitional package for the KDE runtime components

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	$(overridden_command) --dbgsym-migration='kde-runtime-dbg (<= 4:15.12.1-1~~)'
 
 override_dh_install: debian/kde-runtime.install.hurd
-	$(overridden_command) --list-missing
+#	$(overridden_command) --list-missing
 
 override_dh_clean:
 	$(overridden_command)

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kde-runtime-([\d.]+).tar.xz
